/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xml.bind.valueobject;

/**
 * SAXイベントのうち DTDを記憶します。このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
public class BlancoXmlDtd extends BlancoXmlNode {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法名。
     */
    private String fName;

    /**
     * フィールド [publicId]
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法の公開識別子。
     */
    private String fPublicId;

    /**
     * フィールド [systemId]
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法のシステム識別子。
     */
    private String fSystemId;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法名。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法名。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [publicId]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法の公開識別子。
     *
     * @param argPublicId フィールド[publicId]に格納したい値
     */
    public void setPublicId(final String argPublicId) {
        fPublicId = argPublicId;
    }

    /**
     * フィールド[publicId]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法の公開識別子。
     *
     * @return フィールド[publicId]に格納されている値
     */
    public String getPublicId() {
        return fPublicId;
    }

    /**
     * フィールド [systemId]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法のシステム識別子。
     *
     * @param argSystemId フィールド[systemId]に格納したい値
     */
    public void setSystemId(final String argSystemId) {
        fSystemId = argSystemId;
    }

    /**
     * フィールド[systemId]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表記法のシステム識別子。
     *
     * @return フィールド[systemId]に格納されている値
     */
    public String getSystemId() {
        return fSystemId;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlDtd[");
        buf.append("name=" + fName);
        buf.append(",publicId=" + fPublicId);
        buf.append(",systemId=" + fSystemId);
        buf.append("]");
        return buf.toString();
    }
}
